Announcement

Collapse
No announcement yet.

3.8.1 - Getting this error when specific usergroup clicks on "Currently Active Users"

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • 3.8.1 - Getting this error when specific usergroup clicks on "Currently Active Users"

    I did the usual...suspect file versions...disabled all plugins...no dice. this is only happening to a specific usergroup (ForumSupporter). this problem occurred after a user used my Donate system (Cyb-PayPaL Donate).

    HTML Code:
    Database error in vBulletin 3.8.1:
    
    Invalid SQL:
    
                SELECT calendarpermission.usergroupid, calendarpermission.calendarpermissions,calendar.calendarid,calendar.title, displayorder
                FROM logicSix_uodcalendar AS calendar
                LEFT JOIN logicSix_uodcalendarpermission AS calendarpermission ON
                    (calendarpermission.calendarid = calendar.calendarid AND usergroupid IN (ForumSupporter, 6))
                ORDER BY displayorder ASC;
    
    MySQL Error   : Unknown column 'ForumSupporter' in 'on clause'
    Error Number  : 1054
    Request Date  : Friday, March 20th 2009 @ 05:38:25 PM
    Error Date    : Friday, March 20th 2009 @ 05:38:25 PM
    Script        : x
    Referrer      : x
    IP Address    : xx.xxx.xxx..xx
    Username      : tragedy
    Classname     : vB_Database
    MySQL Version : 5.0.45
    I am also getting an error when i am in my admin screen. for instance, i am the admin, but also a Forum Support. See the attached image.

    I know NOTHING about SQL...(just some background)
    Attached Files

  • #2
    That error and query is from an add-on. There is no 'ForumSupporter' field in vB. You cannot get that error if you reupload the original files and disable your add-ons.
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      Originally posted by Steve Machol View Post
      That error and query is from an add-on. There is no 'ForumSupporter' field in vB. You cannot get that error if you reupload the original files and disable your add-ons.
      original files? which files? i uninstalled the cyb paypal plugin and still got it

      Comment


      • #4
        Your CANNOT get that error with the original vB files and all add-ons disabled. Sorry if that was not clear.

        Here are the complete instructions. First reupload all the original vB non-image files (except install.php). Make sure you upload these in ASCII format and overwrite the ones on the server. Also be sure to upload the admincp files to whichever directory you have set in your config.php file. Then run 'Suspect File Versions' in Diagnostics to make sure you have all the original files for your version and that none show 'File does not contain expected contents':

        Admin CP -> Maintenance -> Diagnostics -> Suspect File Versions

        [Note: In some cases you may also need to remove any of the listed .xml files in the includes/xml directory.]

        Next, disable all plugins.

        Note: To temporarily disable the plugin system, edit config.php and add this line right under <?php

        define('DISABLE_HOOKS', true);

        Then if you still have this problem, create a new style and choose no parent style. This will force it to use the default templates. Finally empty your browser cache, close all browser windows then try again. Make sure you change to the new style and view your forums with it.
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          steve - i did all of the above - still getting the error.

          Comment


          • #6
            Sorry but you really cannot get that error if you followed all those instructions. It's not possible.
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              Originally posted by Steve Machol View Post
              Sorry but you really cannot get that error if you followed all those instructions. It's not possible.
              in my database, i found "ForumSupporter" here in the user table:

              <removed links causing problems on this forum>

              could this have something to do with it?

              Comment


              • #8
                It could but that is not a vBulletin field. It was created by an addon.
                Translations provided by Google.

                Wayne Luke
                The Rabid Badger - a vBulletin Cloud demonstration site.
                vBulletin 5 API

                Comment


                • #9
                  Originally posted by Wayne Luke View Post
                  It could but that is not a vBulletin field. It was created by an addon.
                  how would i remove it? i have uploaded ALL the files, done the suspect....it's only giving an error for users with an additional usergroup (forum supporter)...their primary being registered users.

                  i uninstalled the donate plugin... and suspect file check gave me nothing back bad.

                  Comment


                  • #10
                    What other plugins/addons do you have installed? Did you delete all the files that came donate plugin? Especially any in the includes/xml folder?
                    Translations provided by Google.

                    Wayne Luke
                    The Rabid Badger - a vBulletin Cloud demonstration site.
                    vBulletin 5 API

                    Comment


                    • #11
                      The fact that you have a query asking for a filed that does not exist in the default vB means that you have not removed your add-ons.
                      Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                      Change CKEditor Colors to Match Style (for 4.1.4 and above)

                      Steve Machol Photography


                      Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                      Comment


                      • #12
                        Originally posted by Wayne Luke View Post
                        What other plugins/addons do you have installed? Did you delete all the files that came donate plugin? Especially any in the includes/xml folder?
                        Cyb Advanced Stats, Cyb Advanced Rules, Chatbox and an invitation system... i disabled all of them.

                        ForumSupporter used to be the name of the usergroup i made for the people who donated.

                        Comment


                        • #13
                          It has nothing to do with the name of the usergroup and everything to do with a missing database field that one of your addons is trying to access. Contact the authors of your addons and see if they can help.
                          Translations provided by Google.

                          Wayne Luke
                          The Rabid Badger - a vBulletin Cloud demonstration site.
                          vBulletin 5 API

                          Comment


                          • #14
                            Originally posted by Wayne Luke View Post
                            It has nothing to do with the name of the usergroup and everything to do with a missing database field that one of your addons is trying to access. Contact the authors of your addons and see if they can help.
                            my forum is down, all of my plugins are off and it's still happening. The plugin that originally causes this issue is not even installed anymore. this is really starting to piss me off!

                            Comment


                            • #15
                              You've got extra xml files that shouldn't be there in includes/xml. Untill you remove them you'll cotninue to have errors.

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X